Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
profile.h File Reference

Go to the source code of this file.

## Classes
struct | profile_def

## Macros
#define | PROF_STAT_DEFAULT 1
#define | PROF_STAT_EXISTS 2
#define | PROF_STAT_NEW 3
#define | PROF_STAT_CHANGED 4
#define | PROF_STAT_COPY 5

## Functions
void | init_profile_list (void)
GList * | add_to_profile_list (const char *name, const char *parent, int status, gboolean is_global, gboolean from_global)
void | copy_profile_list (void)
void | empty_profile_list (gboolean edit_list)
void | remove_from_profile_list (GList *fl_entry)
GList * | current_profile_list (void)
GList * | edited_profile_list (void)
gchar * | apply_profile_changes (void)
const gchar * | get_profile_parent (const gchar *profilename)
gchar * | profile_name_is_valid (const gchar *name)
gboolean | delete_current_profile (void)

## Detailed Description

"Configuration Profiles" dialog box

"Configuration Profiles" utility routines

## Function Documentation

GList* add_to_profile_list | ( | const char * | name,
|  | const char * | parent,
|  | int | status,
|  | gboolean | is_global,
|  | gboolean | from_global
| ) |  |

User requested the "Configuration Profiles" popup menu.

Parameters

  name | Profile name
  parent | Parent profile name
  status | Current status
  is_global | Profile is in the global configuration directory
  from_global | Profile is copied from the global configuration directory

Returns
  A pointer to the new profile list

gchar* apply_profile_changes | ( | void |  | ) |

Apply the changes in the edited profile list

Returns
  NULL if the operation was successful or an error message otherwise. The error message must be freed by the caller.

void copy_profile_list | ( | void |  | ) |

Refresh the current (non-edited) profile list.

GList* current_profile_list | ( | void |  | ) |

Current profile list

Returns
  The head of the current profile list

gboolean delete_current_profile | ( | void |  | ) |

Remove the current profile.

Returns
  TRUE if the current profile exists and was successfully deleted or FALSE otherwise.

GList* edited_profile_list | ( | void |  | ) |

Edited profile list

Returns
  The head of the edited profile list

void empty_profile_list | ( | gboolean | edit_list | ) |

Clear out the profile list

Parameters

  edit_list | Remove edited entries

const gchar* get_profile_parent | ( | const gchar * | profilename | ) |

Given a profile name, return the name of its parent profile.

Parameters

  profilename | Child profile name

Returns
  Parent profile name

void init_profile_list | ( | void |  | ) |

Initialize the profile list. Can be called more than once.

gchar* profile_name_is_valid | ( | const gchar * | name | ) |

Check the validity of a profile name.

Parameters

  name | Profile name

Returns
  NULL if the name is valid or an error message otherwise.

void remove_from_profile_list | ( | GList * | fl_entry | ) |

Remove an entry from the profile list.

Parameters

  fl_entry | Profile list entry